Understanding POV-Ray Options
Special Command-Line Options
Benchmark Rendering Mode

POV-Ray for Unix version 3.7

## 1.6 Understanding POV-Ray Options

Options are what previous versions of POV-Ray used to refer to as command-line options. The term is no longer accurate for POV-Ray 3.x, because the command line is only one way of passing options to the program. The other, more convenient way, is to use INI files.

### 1.6.1 Special Command-Line Options

POV-Ray for Unix supports several special command-line options not recognized by other versions. They follow the standards for programs that run under the X Window System.

Note: See the section Known Bugs for more information about a problem with the X11 windows system.

`-display <display_name>`
  Display preview on display_name rather than the default display. This is meant to be used to change the display to a remote host. The normal dispay option `+d` is still valid.
`-geometry [WIDTHxHEIGHT][+XOFF+YOFF]`
  Render the image with `WIDTH` and `HEIGHT` as the dimensions, and locate the window `XOFF` from the left edge, and `YOFF` from the top edge of the screen, or if negative the right and bottom edges respectively.
  For instance: `-geometry 640x480+10+20` creates a display for a 640x480 image placed at (10,20) pixels from the top-left corner of the screen. The `WIDTH` and `HEIGHT`, if given, override any previous `+Wn` and `+Hn` settings.
`-help`
  Display the X Window System-specific options. Use`-H` by itself on the command-line to output the general POV-Ray options.
`-icon`
  Start the preview window as an icon.
`-title <window_title>`
  Override the default preview window title with `window_title`.
`-visual <visual_type>`
  Use the deepest visual of `visual_type`, if available, instead of the automatically selected visual.

Valid `visual_type` values:

- StaticGray
- GrayScale
- StaticColor
- PseudoColor
- TrueColor
- DirectColor

Note: If you are supplying a filename with spaces in it, you will need to enclose the filename itself within quotes.

### 1.6.2 Benchmark Rendering Mode

POV-Ray for Unix has a built-in version of the standard benchmark scene. In version 3.7 the built-in benchmark mode has been further modified to run without accessing any other distribution files, so now benchmarking can now be done with just the compiled executable.

To run this scene use the `--benchmark` command line option:

    povray --benchmark

Note that running the benchmark takes some time, on a 3 GHz AMD x2 250 processor with 4GB ram, about 12 minutes. There will be no image or file output from this render. For more information on the standard POV-Ray benchmark have a look at the Benchmarking with POV-Ray page.